
TYPO3.Flow - Feature # 6121

Status: Rejected Priority: Should have
Author: Karsten Dambekalns Category: Validation
Created: 2010-01-20 Assigned To:
Updated: 2012-03-12 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Add validator and filter for HTML
Description

We need a validator that can check for malicious content in strings that are supposed to contain some HTML. And it would be nice to
have a filter to clean up messy stuff of that kind.

History
#1 - 2010-03-07 18:03 - Lukas Lentner

Wouldn't it make sense to deligate this function to a rich text editor who so or so has to take care about the transformations between (in the older
days) BE->DB. The validator should work hand in hand with this Transformator!
Or do you have other uses for this validator?
Lukas

#2 - 2010-03-07 18:16 - Lukas Lentner

Is such a package planed?
- Richtexteditor
 - Viewhelper for fluid
 - gui by extjs
 - complex transformation & validations

Or an adaption of an existing??

#3 - 2010-03-09 17:24 - Robert Lemke
- Target version changed from 1.0 alpha 8 to 1.0 alpha 9
- Start date deleted (2010-01-20)
- Estimated time set to 6.00

#4 - 2010-03-09 17:25 - Karsten Dambekalns

Lukas Lentner wrote:

Wouldn't it make sense to deligate this function to a rich text editor

No, it wouldn't. Because that would mean you are only protected when the content to deal with has been entered using the RTE.

#5 - 2010-05-28 17:40 - Robert Lemke
- Target version deleted (1.0 alpha 9)

#6 - 2012-01-16 18:57 - Bastian Waidelich
- Status changed from New to Needs Feedback
- Has patch set to No

I think, this one can be closed as a validator for malicious HTML doesn't make sense IMO:
The rules for malicious HTML can change and depend on the context. So the output should be secured when outputted to the client. For RTEs we
probably need something like t3lib_div::removeXSS().

#7 - 2012-03-12 13:51 - Christian Müller
- Status changed from Needs Feedback to Closed

As Bastian said should be checked on output.

#8 - 2012-03-12 13:51 - Christian Müller
- Status changed from Closed to Rejected
